## libkf5kexiv2 15.12.3

=== src/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

kde_enable_exceptions()

include_directories(${EXIV2_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

add_definitions(${EXIV2_DEFINITIONS})

if( WIN32 )
    add_definitions( -DEXV_HAVE_DLL )
endif()


set(kexiv2_LIB_SRCS kexiv2.cpp
                    kexiv2_p.cpp
                    kexiv2data.cpp
                    kexiv2image.cpp
                    kexiv2comments.cpp
                    kexiv2exif.cpp
                    kexiv2iptc.cpp
                    kexiv2gps.cpp
                    kexiv2xmp.cpp
                    kexiv2previews.cpp
                    rotationmatrix.cpp
                    libkexiv2_debug.cpp
)

ecm_generate_headers(kexiv2_CamelCase_HEADERS

                     HEADER_NAMES
                     KExiv2Data
                     KExiv2
                     KExiv2Previews
                     RotationMatrix

                     PREFIX           KExiv2
                     REQUIRED_HEADERS kexiv2_HEADERS
)

add_library(KF5KExiv2 SHARED ${kexiv2_LIB_SRCS})
add_library(KF5::KExiv2 ALIAS KF5KExiv2)

generate_export_header(KF5KExiv2 BASE_NAME libkexiv2 EXPORT_MACRO_NAME LIBKEXIV2_EXPORT)


target_include_directories(KF5KExiv2 INTERFACE
                           "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KExiv2;${KF5_INCLUDE_INSTALL_DIR}/KExiv2/kexiv2>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>"
)

target_link_libraries(KF5KExiv2
                      PRIVATE
                      ${EXIV2_LIBRARIES}
                      PUBLIC
                      Qt5::Core
                      Qt5::Gui
)

if( WIN32 )
    target_link_libraries( KF5KExiv2 ${EXPAT_LIBRARIES} )
endif()

install(TARGETS KF5KExiv2
        EXPORT  KF5KExiv2Targets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

set_target_properties(KF5KExiv2   PROPERTIES
                      VERSION     ${KEXIV2_VERSION_STRING}
                      SOVERSION   ${KEXIV2_SOVERSION}
                      EXPORT_NAME KExiv2
)

install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2_export.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KExiv2/kexiv2
        COMPONENT   Devel
)

install(FILES       ${kexiv2_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KExiv2/KExiv2
        COMPONENT   Devel
)

install(FILES       ${kexiv2_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KExiv2/kexiv2
        COMPONENT   Devel
)

install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2_version.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}
        COMPONENT   Devel
)

=== debian/changelog ===
libkf5kexiv2 (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:18:45 -0700

libkf5kexiv2 (15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release

  [ Scarlett Clark ]
  * Fix case in symbols file packagename to make lintain happy. 
  * Add 0.0 to the package name in the symbols file. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:27:51 +0100

libkf5kexiv2 (15.12.0-2) experimental; urgency=medium

  * Update symbols files from buildds logs (15.12.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 10:10:50 +0100

libkf5kexiv2 (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:20 +0100

libkexiv2 (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:57:10 +0100

libkexiv2 (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Add back in libkexiv2-11v5 change

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 14:36:02 +0100

libkexiv2 (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 17:46:18 +0100

libkexiv2 (4:15.04.3-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files from buildds logs (4:14.12.2-1).
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 12:20:15 +0200

libkexiv2 (4:15.04.2-0ubuntu4) wily; urgency=medium

  * Mark one new template symbol from previous upload as optional as it only
    exists on 64 bit arches.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 11:15:27 +0200

libkexiv2 (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Rename library to libkexiv2-11v5 as it changes ABI with g++ 5, and adjust
    symbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 10:40:16 +0200

libkexiv2 (4:15.04.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:14:14 +0200

libkexiv2 (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols files:
    - mark as optional symbols gone after building with GCC 5
    - mark as optional a private symbols which shows up in GCC 5 but not in
      GCC 4

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:24:12 +0100

libkexiv2 (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:44:51 +0200

libkexiv2 (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:29:55 -0700

libkexiv2 (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 08:54:01 +0100

libkexiv2 (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:33:09 -0800

libkexiv2 (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:11:50 +0100

libkexiv2 (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:50 +0100

libkexiv2 (4:4.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Prevent-crash-if-index-if-out-of-QList-range.patch: drop,
      backported
    - upstream_bump-the-version-to-2.3.2.patch: drop, backported
    - upstream_If-edited-and-previous-strings-are-empty-do-nothing.patch:
      drop, backported
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Oct 2014 08:45:52 +0200

libkexiv2 (4:4.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport few upstream patches (basically a KDE/4.14 branch pull):
    - backport commit 25ad41274d0f4084554794ee91e183accfce781f to fix
      out-of-bounds crashes when handling metadata; patch
      upstream_Prevent-crash-if-index-if-out-of-QList-range.patch.
      (Closes: #763991)
    - backport commit 6b680149626a8b8b5524656ab4b2d9a4ce6cfbae to bump the
      version to 2.3.2, so library users (e.g. digikam) can know this version
      has the above fix; patch upstream_bump-the-version-to-2.3.2.patch.
    - backport commit 1af638424c3bc55e5ceac5f4ac6f48ee47f407a7 to avoid useless
      change requests when no actual changes were done; patch
      upstream_If-edited-and-previous-strings-are-empty-do-nothing.patch.
  * Update install files (related to the version change).

 -- Pino Toscano <pino@debian.org>  Tue, 07 Oct 2014 08:33:12 +0200

libkexiv2 (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 16:29:20 +0200

libkexiv2 (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:24:23 -0700

libkexiv2 (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:46:14 +0200

libkexiv2 (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:32:07 +0200



=== debian/control ===
Source: libkf5kexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libexiv2-dev (>= 0.24~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkexiv2.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkexiv2.git

Package: libkf5kexiv2-15.0.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkexiv2-11
Replaces: libkexiv2-11
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkf5kexiv2-dev
Section: libdevel
Architecture: any
Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          xvfb, xauth, dbus-x11
# Restrictions: build-needed

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags

## libkf5kexiv2 16.04.0

=== debian/changelog ===
libkf5kexiv2 (16.04.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 10:10:15 +0200

libkf5kexiv2 (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Fix wrong package name in symbols file

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 18:25:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,15 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkexiv2.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkexiv2.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkexiv2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkexiv2.git
 
 Package: libkf5kexiv2-15.0.0
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Conflicts: libkexiv2-11
-Replaces: libkexiv2-11
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt like interface for the libexiv2 library
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.
@@ -33,9 +30,7 @@
 Package: libkf5kexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
-         pkg-config,
-         ${misc:Depends}
+Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.

## libkf5kexiv2 16.04.3

=== debian/changelog ===
libkf5kexiv2 (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols and removing MISSING

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 03 Oct 2016 12:36:15 +0200

=== debian/control ===
Source: libkf5kexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libexiv2-dev (>= 0.24~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2

Package: libkf5kexiv2-15.0.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkexiv2-11
Replaces: libkexiv2-11
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkf5kexiv2-dev
Section: libdevel
Architecture: any
Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

## libkf5kexiv2 16.12.3

=== debian/changelog ===
libkf5kexiv2 (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:05 +0000

libkf5kexiv2 (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:44 +0000

## libkf5kexiv2 17.04.3

=== debian/changelog ===
libkf5kexiv2 (17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * Update symbols from build logs for GCC7

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:05 +0100

## libkf5kexiv2 17.08.3

=== debian/changelog ===
libkf5kexiv2 (17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:48:51 +0800

libkf5kexiv2 (17.08.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove kde-runtime exclusion from shlibdeps, since it is no more injected
    automatically.
  * Remove pkg-config dependency in libkf5kexiv2-dev, since it is no more
    needed now.
  * Remove the kdegraphics-thumbnailers break in libkf5kexiv2-15.0.0, since
    it is not needed.
  * Remove unused autopkgtest material.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Dec 2017 16:16:56 +0100

libkf5kexiv2 (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update symbols files
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:24 +0200

libkf5kexiv2 (17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:05:33 +0000

libkf5kexiv2 (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:42:43 +0000

libkf5kexiv2 (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:41 +0000

libkf5kexiv2 (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:20 +0000

libkf5kexiv2 (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:26:21 +0000

libkf5kexiv2 (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:48:29 +0000

libkf5kexiv2 (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:51 +0000

libkf5kexiv2 (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:29 +0000

libkf5kexiv2 (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:33 +0000

libkf5kexiv2 (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:58 +0000

libkf5kexiv2 (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:45 +0000

libkf5kexiv2 (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:28 +0000

libkf5kexiv2 (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:13 +0000

libkf5kexiv2 (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:27 +0000

libkf5kexiv2 (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:54 +0000

libkf5kexiv2 (16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2016 11:36:39 +0000

=== debian/control ===
Source: libkf5kexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libexiv2-dev (>= 0.24~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.2
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkexiv2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkexiv2.git

Package: libkf5kexiv2-15.0.0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkf5kexiv2-dev
Section: libdevel
Architecture: any
Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libkexiv2-([\d.]+)\.tar\.xz

## libkf5kexiv2 17.12.3

=== debian/changelog ===
libkf5kexiv2 (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:44 +0000

libkf5kexiv2 (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:24 +0000

libkf5kexiv2 (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:13 +0000

=== debian/control ===
Source: libkf5kexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libexiv2-dev (>= 0.24~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2

Package: libkf5kexiv2-15.0.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkexiv2-11
Replaces: libkexiv2-11
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkf5kexiv2-dev
Section: libdevel
Architecture: any
Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkexiv2-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkexiv2-([\d.]+).tar.xz

## libkf5kexiv2 18.04.3

=== debian/changelog ===
libkf5kexiv2 (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libexiv2-dev (>= 0.24~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2

## libkf5kexiv2 18.12.3

=== debian/changelog ===
libkf5kexiv2 (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:37 +0000

libkf5kexiv2 (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:37 +0000

libkf5kexiv2 (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:08 +0000

libkf5kexiv2 (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:25 +0000

libkf5kexiv2 (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - Keep our symbols file.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Dec 2018 20:37:12 +0000

=== debian/control ===
Source: libkf5kexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libexiv2-dev (>= 0.24~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.2
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2

Package: libkf5kexiv2-15.0.0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkf5kexiv2-dev
Section: libdevel
Architecture: any
Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

## libkf5kexiv2 19.04.3

=== debian/changelog ===
libkf5kexiv2 (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:16 +0100

libkf5kexiv2 (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:48 +0100

libkf5kexiv2 (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:47 +0100

libkf5kexiv2 (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 24 Apr 2019 22:52:49 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
 Package: libkf5kexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.

## libkf5kexiv2 19.08.1

=== debian/changelog ===
libkf5kexiv2 (19.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update the build dependencies according to the upstream build system:
    - cmake to 3.0.0
    - libexiv2-dev to 0.25
  * Update symbols file.
  * Switch from dhmk to dh with kf5 & pkgkde_symbolshelper addons, and
    as-needed linking.
  * Mark libkf5kexiv2-15.0.0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 09:23:19 +0200

=== debian/control ===
Source: libkf5kexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.1.0~),
               libexiv2-dev (>= 0.25~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.4.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git

Package: libkf5kexiv2-15.0.0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkf5kexiv2-dev
Section: libdevel
Architecture: any
Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

## libkf5kexiv2 19.12.3

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

set(CMAKE_MIN_VERSION   "3.0.0")
set(ECM_MIN_VERSION     "1.1.0")
set(REQUIRED_QT_VERSION "5.2.0")
set(EXIV2_MIN_VERSION   "0.25")

cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

project(libkexiv2 VERSION "5.0.0")

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.2.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 2.0.2
# 0.1.5 => 2.1.1
# 0.1.6 => 3.0.0
# 0.1.7 => 4.0.1
# 0.1.8 => 5.0.0
# 0.2.0 => 6.0.0     (released with KDE 4.1.0)
# 0.3.0 => 7.0.0     (released with KDE 4.1.2)
# 0.4.0 => 7.1.0
# 0.5.0 => 7.2.0     (Released with KDE 4.2.0)
# 0.6.0 => 7.3.0     (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0     (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0     (Released with KDE 4.5.0)
# 1.2.0 => 9.0.0     (Released with KDE 4.6.0) - Including XMP sidecar support
# 2.0.0 => 10.0.0    (Released with KDE 4.7.0)
# 2.1.0 => 10.0.1    (Released with KDE 4.7.1) - Add AltLangStrEdit visible lines API
# 2.1.1 => 10.0.2    (Released with KDE 4.7.4) - Add AltLangStrEdit::setCurrentLanguageCode()
# 2.2.0 => 11.0.0    (Released with KDE 4.8.1) - Remove deprecated methods
# 2.3.0 => 11.1.0    (Released with KDE 4.8.2) - Add new static methods about XMP sidecar file management.
# 2.3.1 => 11.2.0                              - Add new method to set specific XMP tag string
# 2.4.0 => 11.3.0                              - Add new method to access on text edit widget from AltLangStrEdit
# 5.0.0 => 15.0.0    (Released with KDE 5.x)

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(KEXIV2_LIB_SO_CUR_VERSION "15")
set(KEXIV2_LIB_SO_REV_VERSION "0")
set(KEXIV2_LIB_SO_AGE_VERSION "0")

set(LIBKEXIV2_SO_VERSION  "${KEXIV2_LIB_SO_CUR_VERSION}.${KEXIV2_LIB_SO_REV_VERSION}.${KEXIV2_LIB_SO_AGE_VERSION}")

############## ECM setup ######################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libkexiv2_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(FeatureSummary)

ecm_setup_version(${libkexiv2_VERSION}
                  VARIABLE_PREFIX      KEXIV2
                  VERSION_HEADER       "src/libkexiv2_version.h"
                  PACKAGE_VERSION_FILE "KF5KExiv2ConfigVersion.cmake"
                  SOVERSION            ${LIBKEXIV2_SO_VERSION}
)

############## Find Packages ###################

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS
             Core
             Gui
)

find_package(LibExiv2 ${EXIV2_MIN_VERSION} REQUIRED)

############## Targets #########################

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

############## CMake Config Files ##############

message("${CMAKECONFIG_INSTALL_DIR}")
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5KExiv2")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/KF5KExiv2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KExiv2Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KExiv2Config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KExiv2ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT   Devel
)

install(EXPORT      KF5KExiv2Targets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE        KF5KExiv2Targets.cmake
        NAMESPACE   KF5::
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5kexiv2 (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:17:00 +0000

libkf5kexiv2 (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update symbols from build logs.
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:06 +0000

libkf5kexiv2 (19.12.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild for exiv2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 20:21:37 +0100

libkf5kexiv2 (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:25 +0000

libkf5kexiv2 (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:54:06 +0000

libkf5kexiv2 (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:42 +0000

libkf5kexiv2 (19.08.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep Kubuntu symbols file.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Nov 2019 09:05:22 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
 
 Package: libkf5kexiv2-15.0.0
 Section: libs
@@ -31,7 +31,8 @@
 Package: libkf5kexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.

## libkf5kexiv2 20.08.1

=== debian/changelog ===
libkf5kexiv2 (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:14 +0100

libkf5kexiv2 (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:54 +0100

libkf5kexiv2 (20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update symbols file.
  * Remove unused .acc.in file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 17:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 1.1.0~),
                libexiv2-dev (>= 0.25~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
 
 Package: libkf5kexiv2-15.0.0
 Section: libs

## libkf5kexiv2 20.12.0

=== debian/changelog ===
libkf5kexiv2 (20.12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kexiv2-dev: Add Multi-Arch: same.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - extra-cmake-modules >= 5.68
  * Install generated usr/share/qlogging-categories5/libkexiv2.categories.
  * Rewrite copyright information in DEP-5 machine readable format.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Add myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 23:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 1.1.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.68.0~),
                libexiv2-dev (>= 0.25~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.12.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://invent.kde.org/graphics/libkexiv2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
 
@@ -32,8 +32,8 @@
 Package: libkf5kexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.

## libkf5kexiv2 20.12.3

=== debian/changelog ===
libkf5kexiv2 (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:23 +0000

libkf5kexiv2 (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:47 +0000

libkf5kexiv2 (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:17 +0000

libkf5kexiv2 (20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Keep symbols files updated from Ubuntu build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Dec 2020 10:34:45 +0000

libkf5kexiv2 (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:34:59 +0000

libkf5kexiv2 (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:59:07 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,8 @@
 Package: libkf5kexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate

## libkf5kexiv2 21.08.0

=== debian/changelog ===
libkf5kexiv2 (21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 13:08:44 +0800

libkf5kexiv2 (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:36:16 +0900

libkf5kexiv2 (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 12:51:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: libkf5kexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.0.0~),
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.80.0~),
                libexiv2-dev (>= 0.25~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libkexiv2
@@ -32,8 +33,7 @@
 Package: libkf5kexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kexiv2-15.0.0 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate

## libkf5kexiv2 21.08.1

=== debian/changelog ===
libkf5kexiv2 (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:19 +0100

libkf5kexiv2 (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:09:57 +0100

libkf5kexiv2 (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:23 +0100

libkf5kexiv2 (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:27 +0100

libkf5kexiv2 (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:14 +0100

libkf5kexiv2 (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:48:37 +0100

libkf5kexiv2 (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:14:59 +0100

libkf5kexiv2 (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:11 +0100
